Bug 963428 - With every new open file (song), six DIR filehandles stay open
With every new open file (song), six DIR filehandles stay open
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: parole (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 15:02 EDT by Jan Pazdziora
Modified: 2014-01-16 02:15 EST (History)
4 users (show)

See Also:
Fixed In Version: parole-0.5.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 02:07:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 10600 None None None Never

  None (edit)
Description Jan Pazdziora 2013-05-15 15:02:51 EDT
Description of problem:

Whenever new file is selected to play, the number of DIR filehandles increases by six. Eventually parole rejects to play the next song because it reaches too many open files.

Version-Release number of selected component (if applicable):

# rpm -q parole
parole-0.5.0-1.fc18.i686

How reproducible:

Deterministic.

Steps to Reproduce:
1. Start parole.
2. Get its pid.
3. Run lsof -p $the_pid.
4. Hit Ctrl + O and select some .ogg file, play it.
5. Hit Ctrl + O again and select different .ogg file, from different directory.
3. Run lsof -p $the_pid again.
  
Actual results:

There are six DIR filehandles of the first directory and six for the other one.
If you select the first file again, there will be six more.

Expected results:

The number of open files should not grow with every new song played.

Additional info:
Comment 1 Jan Pazdziora 2013-11-06 02:41:49 EST
Bug is still present with parole-0.5.2-1.fc19.x86_64.
Comment 2 Filipe Rosset 2013-12-21 14:12:14 EST
Hi Jan, can you please take a look if it's still present with parole 0.5.4?
If its still present I believe we should file a bug with upstream guys.
Comment 3 Filipe Rosset 2013-12-21 14:14:38 EST
F20 - https://admin.fedoraproject.org/updates/parole-0.5.4-1.fc20
Comment 4 Jan Pazdziora 2013-12-22 05:06:04 EST
I don't have local Fedora 20 installation to try. What behaviour do you observe on your installation with the steps from comment 0? Is there anything in 0.5.4's changelog suggesting it's been fixed?
Comment 5 Filipe Rosset 2014-01-03 17:44:08 EST
Hi Jan, I can confirm the issue, but here with parole-0.5.4-1.fc20.x86_64 the number of DIR filehandles are 4 instead of 6. I'm not sure if something was changed in the code to use less filehanles than the older version.
Comment 6 Filipe Rosset 2014-01-03 17:50:42 EST
Filled a bug upstream: https://bugzilla.xfce.org/show_bug.cgi?id=10600
Comment 7 Filipe Rosset 2014-01-03 19:46:35 EST
Great, upstream fixed in http://git.xfce.org/apps/parole/commit/?id=61821b73c94fa8f498fe3fe78a8fc686295275f8

Will be fixed in next 0.5.x upstream release.
Comment 8 Jan Pazdziora 2014-01-03 21:33:59 EST
(In reply to Filipe Rosset from comment #6)
> Filled a bug upstream: https://bugzilla.xfce.org/show_bug.cgi?id=10600

Thank you.
Comment 9 Jan Pazdziora 2014-01-03 21:35:27 EST
Bumping up the version per comment 5.
Comment 10 Fedora Update System 2014-01-04 16:30:29 EST
parole-0.5.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/parole-0.5.4-2.fc19
Comment 11 Fedora Update System 2014-01-04 16:31:19 EST
parole-0.5.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/parole-0.5.4-2.fc20
Comment 12 Fedora Update System 2014-01-05 07:33:12 EST
Package parole-0.5.4-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing parole-0.5.4-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0251/parole-0.5.4-2.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-01-16 02:07:46 EST
parole-0.5.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-01-16 02:15:30 EST
parole-0.5.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.